using PlumbingRepairContracts.BindingModels;
using PlumbingRepairContracts.SearchModels;
using PlumbingRepairContracts.ViewModels;

namespace PlumbingRepairContracts.BusinessLogicsContracts
{
    public interface IWorkLogic
    {
        List<WorkViewModel>? ReadList(WorkSearchModel? model);
        WorkViewModel? ReadElement(WorkSearchModel model);
        bool Create(WorkBindingModel model);
        bool Update(WorkBindingModel model);
        bool Delete(WorkBindingModel model);
    }
}
